Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Settlement
  • Home
    • Welcome to Amili Docs
    • Responsible disclosure
    • Become a partner
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • Example Workflow
    • Batches
      • GetBatchById
      • GetBatchesByOrganization
      • GetBatchById - Legacy (To be removed)
    • Collections
      • AcceptDebtCollectionList
      • RejectDebtCollectionList
      • PauseCase
      • WithdrawCase
      • ResumeCase
    • Correction
      • CreateCorrections
    • Invoice
      • CreateInvoices
      • GetInvoicesByOrganization
      • GetInvoiceById
    • Payment
      • CreatePayments
    • Settlement
      • GetSettlements
        GET
      • GetSettlement on Id
        GET
    • AutoCollect Legacy API
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
  • Accounts Receivable
    • Actions
      • POST (create) an action
      • POST (create) a reports action/generate a report
    • ArItems
      • GET a list of AR items
      • PUT (update) ar item details
      • GET one AR item
    • AutoPostings
      • POST (create) one or more auto postings
    • Batches
      • GET one batch
    • ClientConfigs
      • GET a list of client config values
      • GET values for one client config key
    • Codes
      • GET ARM system code values
    • Customers
      • POST (create) one customer
      • PUT (update) one customer
      • GET a list of customers
      • GET one customer
      • DELETE a customer
      • POST (create) a batch of customers
      • PUT (update) a batch of customers
    • DocumentBundles
      • GET a list of document bundles
      • GET one document bundle
    • Documents
      • POST (create) one document
      • GET a list of documents
      • GET one document
      • POST (create) a batch of documents
    • Files
      • GET one or more OS files
      • POST (upload) one or more OS files
      • GET one OS file
    • GlItems
      • Get one GL item
      • GET a list of GL items
    • GlMovements
      • Get movement/balance for the latest closed GL year/period
      • GET a list of GL movements/balances
    • Insights
      • GET a list of ADB intervals
    • LogItems
      • GET one log item
      • GET a list of log items
    • PaymentReservations
      • POST (create) a new payment reservation
    • Health
      • Check API health
  1. Settlement

GetSettlements

GET
/orgs/{organizationId}/settlements
Endpoints for organization management operations

Request

Authorization
Path Params

Query Params

Responses

🟢200OK
application/json
OK
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🟠409Conflict
🟠422Unprocessable Entity
🟠423Locked
🟠429Too Many Requests
🔴500Internal Server Error
🔴501Not Implemented
🔴502Bad Gateway
🔴503Service Unavailable
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/orgs//settlements?fromDate&toDate&pageSize&pageToken'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "caseNumber": "string",
            "collectionType": "REMINDER",
            "currency": "string",
            "customerReference": "string",
            "exchangeRate": 0,
            "feeDistribution": {
                "collector": 0,
                "creditor": 0
            },
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "interestDistribution": {
                "collector": 0,
                "creditor": 0
            },
            "invoice": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "invoiceNumber": "string",
                "uniqueSourceInvoiceId": "string",
                "collectionCaseNumber": "string",
                "type": "REMINDER",
                "status": "OPEN",
                "closureDate": "2019-08-24T14:15:22.123Z"
            },
            "ledgerRef": "string",
            "organization": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "organizationNumber": "string",
                "name": "string"
            },
            "paymentAmount": 0,
            "principalDistribution": {
                "collector": 0,
                "creditor": 0
            },
            "remittanceDate": "2019-08-24T14:15:22.123Z",
            "settlementDate": "2019-08-24T14:15:22.123Z",
            "settlementNumber": 0,
            "settlementType": "COLLECTOR_PAYMENT",
            "vat": 0
        }
    ],
    "skipSummary": {
        "status": "string",
        "totalCount": 0,
        "currentPage": 0,
        "pageSize": 0,
        "totalPages": 0,
        "hasNextPage": true,
        "hasPreviousPage": true
    },
    "cursorSummary": {
        "status": "string",
        "nextPageToken": "string",
        "previousPageToken": "string"
    }
}
Modified at 2026-04-20 10:17:34
Previous
CreatePayments
Next
GetSettlement on Id
Built with